dpkg-name(1)

NAZWA
dpkg-name - zmienia nazwy pakietów Debiana na pełne

SKŁADNIA
dpkg-name [opcje] [--] pliki

OPIS

Ta strona podręcznika dokumentuje program dpkg-name, który dostarcza prostego sposobu na zmianę nazw pakietów Debiana na pełne nazwy pakietów. Pełna nazwa pakietu jest w postaci <pakiet>_<wersja>_<architektua>.<typ_pakietu>, jak to określono w pliku kontrolnym pakietu. Część <wersja> nazwy pliku zawiera oryginalną wersję nadaną przez autora, po której opcjonalnie następuje myślnik oraz informacje o wersji zmian pakietu w Debianie.Część <typ_pakietu> pochodzi z odpowiedniego pola, jeśli jest obecne, lub jest równa deb.

OPCJE

-a, --no-architecture
    Wynikowy plik nie będzie miał informacji o architekturze.

-k, --symlink
    Tworzy dowiązanie symboliczne, zamiast przenosić plik.

-o, --overwrite
    Istniejące pliki będą nadpisane, jeżeli ich nazwy są takie same jak nazwy plików wynikowych.

-s, --subdir [katalog]
    Pliki będą przeniesione do podkatalogu. Jeśli istnieje katalog podany jako argument tej opcji, to pliki zostaną przeniesione do tego katalogu, w przeciwnym wypadku nazwa katalogu docelowego jest wyodrębniana z pola Section w części kontrolnej pakietu. Katalogiem docelowym będzie wtedy "unstable/binary-<architektura>/<sekcja>". Jeśli sekcja nie zostanie znaleziona w pliku kontrolnym, to jest przyjmowane "no-section" i w tym przypadku, jak i w przypadku sekcji "non-free" oraz "contrib", katalogiem docelowym będzie <sekcja>/binary-<architektura>". Pole kontrolne Section nie jest wymagane, tak więc w ten sposób wiele pakietów będzie umieszczonych w katalogu "no-section". Proszę ostrożnie używać tej opcji, jest niechlujna.

-c, --create-dir
    Opcja ta może być użyta łącznie z opcją -s. Jeśli katalog docelowy nie istnieje, to zostanie utworzony. Proszę ostrożnie używać tej opcji.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

-v, --version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

PRZYKŁADY

dpkg-name bar-foo.deb
    Nazwa pliku "bar-foo.deb" zostanie zmieniona na bar-foo_1.0-2_i386.deb lub coś podobnego (w zależności od informacji zawartych w pliku kontrolnym pakietu "bar-foo.deb").

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    dpkg-name, jeśli jest to konieczne, zmieni nazwy wszystkich pliki z rozszerzeniem "deb" z katalogu /root/debian i jego podkatalogów na nazwy niezawierające informacji o architekturze.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Nie rób tego. Twoje archiwum zostanie kompletnie zepsute, ponieważ wiele pakietów nie będzie miało informacji o sekcji. Nie rób tego.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Może zostać użyte do budowania nowych pakietów.

BŁĘDY
Niektóre pakiety mają inną strukturę nazwy niż <pakiet>_<wersja>_<architektura>.deb. Pakiety, którym dpkg-name zmieni nazwę, będą miały powyższą strukturę nazwy. Ogólnie, polecenie to nie będzie miało żadnego wpływu na to, jak pakiety są instalowane przez dselect(1)/ dpkg(1), ale inne narzędzia instalacyjne mogą zależeć od powyższej struktury nazywania pakietów.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

AUTOR
Copyright © 1995,1996 Erick Branderhorst

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008